%define upstream_name    Math-MatrixReal
%define upstream_version 2.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manipulate NxN matrices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
*Semi-Rings*
    A Semi-Ring (S, +, ., 0, 1) is characterized by the following
    properties:

    * 1)

      a) '(S, +, 0) is a Semi-Group with neutral element 0'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES CREDITS GOALS META.json META.yml TODO example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-2.mga3
+ Revision: 369628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 10 2011 kharec <kharec> 2.90.0-1.mga2
+ Revision: 166341
- update to 2.09

* Tue Apr 12 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 83773
- update to 2.08

* Tue Jan 18 2011 jquelin <jquelin> 2.50.0-1.mga1
+ Revision: 22601
- cleaning spec file
- imported package perl-Math-MatrixReal

